xmlpp::AttributeDeclaration Class Reference

Represents the default value of an attribute of an XML Element node. More...

`#include <libxml++/attributedeclaration.h>`

Inheritance diagram for xmlpp::AttributeDeclaration:
[legend]

## Public Member Functions

| AttributeDeclaration (_xmlNode* node)
| ~AttributeDeclaration () override
_xmlAttribute* | cobj ()
| Access the underlying libxml implementation. More...
const _xmlAttribute* | cobj () const
| Access the underlying libxml implementation. More...
Glib::ustring | get_value () const
| Get the default value of this attribute. More...
Public Member Functions inherited from xmlpp::Attribute
| Attribute (_xmlNode* node)
| ~Attribute () override
_xmlAttr* | cobj ()
| Access the underlying libxml implementation. More...
const _xmlAttr* | cobj () const
| Access the underlying libxml implementation. More...
Glib::ustring | get_name () const
| Get the name of this attribute. More...
Glib::ustring | get_value () const
| Get the value of this attribute. More...
void | set_value (const Glib::ustring& value)
| Set the value of this attribute. More...
Public Member Functions inherited from xmlpp::Node
| Node (_xmlNode* node)
| ~Node () override
Element* | add_child (const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node. More...
Element* | add_child (xmlpp::Node* previous_sibling, const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node after the specified existing child node. More...
Element* | add_child_before (xmlpp::Node* next_sibling, const Glib::ustring& name, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node before the specified existing child node. More...
Element* | add_child_before_with_new_ns (xmlpp::Node* next_sibling, const Glib::ustring& name, const Glib::ustring& ns_uri, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node before the specified existing child node. More...
Element* | add_child_with_new_ns (const Glib::ustring& name, const Glib::ustring& ns_uri, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node. More...
Element* | add_child_with_new_ns (xmlpp::Node* previous_sibling, const Glib::ustring& name, const Glib::ustring& ns_uri, const Glib::ustring& ns_prefix=Glib::ustring())
| Add a child element to this node after the specified existing child node. More...
_xmlNode* | cobj ()
| Access the underlying libxml implementation. More...
const _xmlNode* | cobj () const
| Access the underlying libxml implementation. More...
bool | eval_to_boolean (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
bool | eval_to_boolean (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
double | eval_to_number (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring& xpath, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
Glib::ustring | eval_to_string (const Glib::ustring& xpath, const PrefixNsMap& namespaces, XPathResultType* result_type=nullptr) const
| Evaluate an XPath expression. More...
NodeSet | find (const Glib::ustring& xpath) const
| Find nodes from an XPath expression. More...
NodeSet | find (const Glib::ustring& xpath, const PrefixNsMap& namespaces) const
| Find nodes from an XPath expression. More...
NodeList | get_children (const Glib::ustring& name=Glib::ustring())
| Obtain the list of child nodes. More...
const NodeList | get_children (const Glib::ustring& name=Glib::ustring()) const
| Obtain the list of child nodes. More...
const Node* | get_first_child (const Glib::ustring& name=Glib::ustring()) const
| Get the first child of this node. More...
Node* | get_first_child (const Glib::ustring& name=Glib::ustring())
| Get the first child of this node. More...
int | get_line () const
| Discover at what line number this node occurs in the XML file. More...
Glib::ustring | get_name () const
| Get the name of this node. More...
Glib::ustring | get_namespace_prefix () const
| Get the namespace prefix of this node. More...
Glib::ustring | get_namespace_uri () const
| Get the namespace URI of this node. More...
const Node* | get_next_sibling () const
| Get the next sibling for this node. More...
Node* | get_next_sibling ()
| Get the next sibling for this node. More...
const Element* | get_parent () const
| Get the parent element for this node. More...
Element* | get_parent ()
| Get the parent element for this node. More...
Glib::ustring | get_path () const
| Get the XPath of this node. More...
const Node* | get_previous_sibling () const
| Get the previous sibling for this node . More...
Node* | get_previous_sibling ()
| Get the previous sibling for this node. More...
Node* | import_node (const Node* node, bool recursive=true)
| Import node(s) from another document under this node, without affecting the source node. More...
void | remove_child (Node* node)
| Remove the child node. More...
void | set_name (const Glib::ustring& name)
| Set the name of this node. More...
void | set_namespace (const Glib::ustring& ns_prefix)
| Set the namespace prefix used by the node. More...

## Additional Inherited Members

Public Types inherited from xmlpp::Node
typedef std::list< Node* > | NodeList
typedef std::map< Glib::ustring, Glib::ustring > | PrefixNsMap
| A map of namespace prefixes to namespace URIs. More...
Static Public Member Functions inherited from xmlpp::Node
static void | create_wrapper (_xmlNode* node)
| Construct the correct C++ instance for a given libxml C struct instance. More...
static void | free_wrappers (_xmlNode* node)
| Delete the C++ instance for a given libxml C struct instance, and also recursively destroy the C++ instances for any children. More...
Protected Member Functions inherited from xmlpp::Node
_xmlNode* | create_new_child_node (const Glib::ustring& name, const Glib::ustring& ns_prefix)
| Create the C instance ready to be added to the parent node. More...
_xmlNode* | create_new_child_node_with_new_ns (const Glib::ustring& name, const Glib::ustring& ns_uri, const Glib::ustring& ns_prefix)
| Create the C instance ready to be added to the parent node. More...
Protected Member Functions inherited from xmlpp::NonCopyable
| NonCopyable ()
| NonCopyable (const NonCopyable&)=delete
virtual | ~NonCopyable ()
NonCopyable& | operator= (const NonCopyable&)=delete

## Detailed Description

Represents the default value of an attribute of an XML Element node.

This will be instantiated by the parser.

Since libxml++ 2.36:

## Constructor & Destructor Documentation

xmlpp::AttributeDeclaration::AttributeDeclaration | ( | _xmlNode * | node | ) |

explicit

xmlpp::AttributeDeclaration::~AttributeDeclaration | ( |  | ) |

override

## Member Function Documentation

_xmlAttribute* xmlpp::AttributeDeclaration::cobj | ( |  | ) |

Access the underlying libxml implementation.

const _xmlAttribute* xmlpp::AttributeDeclaration::cobj | ( |  | ) | const

Access the underlying libxml implementation.

Glib::ustring xmlpp::AttributeDeclaration::get_value | ( |  | ) | const

Get the default value of this attribute.

Returns
  The attribute's default value.